#
# spec file for package perl-HTML-Parser (Version 3.48)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-HTML-Parser
BuildRequires:  perl-HTML-Tagset
Version:        3.48
Release:        12.7.1
Provides:       perl_htp
Obsoletes:      perl_htp
Requires:       perl = %{perl_version}
AutoReqProv:    on
Group:          Development/Libraries/Perl
License:        Artistic License
Url:            http://cpan.org/modules/by-module/HTML/
Summary:        Perl HTML Interface
Source:         HTML-Parser-%{version}.tar.bz2
Patch:          %{name}-%{version}-entity.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       perl-HTML-Tagset

%description
This is a collection of modules that parse and extract information from
HTML documents.



Authors:
--------
    libwww@perl.org

%prep
%setup -q -n HTML-Parser-%{version}
%patch -p1

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
make
make test

%install
rm -rf $RPM_BUILD_ROOT
%perl_make_install
%perl_process_packlist
chmod 755 eg/hform

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes README TODO eg
%doc %{_mandir}/man?/*
%{perl_vendorarch}/HTML
%{perl_vendorarch}/auto/HTML
/var/adm/perl-modules/%{name}

%changelog
* Mon Nov  2 2009 anicka@suse.cz
- fixed CVE-2009-3627 (bnc#550076)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan  6 2006 anicka@suse.cz
- update to 3.48
* Thu Feb 17 2005 mjancar@suse.cz
- update to 3.45
* Fri Aug  6 2004 mjancar@suse.cz
- update to 3.36
* Thu Feb 26 2004 mjancar@suse.cz
- update to 3.35
* Tue Oct 21 2003 mjancar@suse.cz
- update to 3.33
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Thu Jul 17 2003 mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Mon Jun 16 2003 mjancar@suse.cz
- fix filelist
* Fri Jun  6 2003 mjancar@suse.cz
- update to 3.28
- use $RPM_OPT_FLAGS
- don't package MANIFEST
* Tue May 20 2003 mjancar@suse.cz
- remove unpackaged files
* Wed Jul 10 2002 prehak@suse.cz
- updated to version 3.26
- added eg directory into documentation
* Tue Jul  2 2002 mls@suse.de
- remove race in .packlist generation
* Tue Oct 30 2001 rvasice@suse.cz
- added perl-HTML-Tagset to Requires
* Tue Aug 14 2001 rvasice@suse.cz
- update to version 3.25
* Mon Mar 26 2001 cihlar@suse.cz
- added perl-HTML-Tagset to neededforbuild
- added make test
* Wed Mar 14 2001 cihlar@suse.cz
- update to version 3.19
* Tue Nov 14 2000 cihlar@suse.cz
- renamed perl_htp -> perl-HTML-Parser
- update to version 3.13
* Tue Aug 22 2000 cihlar@suse.cz
- update to version 3.10
- bzipped sources
* Mon Aug 21 2000 ro@suse.de
- adapted for perl-5.6
* Thu Apr 13 2000 ug@suse.de
- added to distribution
